Bug 598240 - [abrt] crash in gbirthday-0.6.4-1.fc13: databases.py:124:add:AttributeError: 'NoneType' object has no attribute 'csv_files'
Summary: [abrt] crash in gbirthday-0.6.4-1.fc13: databases.py:124:add:AttributeError: ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gbirthday   
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9519d7a7
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 21:12 UTC by Marian-Nicolae ION
Modified: 2010-12-14 02:59 UTC (History)
3 users (show)

Fixed In Version: gbirthday-0.6.5-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 18:08:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (575 bytes, text/plain)
2010-05-31 21:12 UTC, Marian-Nicolae ION
no flags Details

Description Marian-Nicolae ION 2010-05-31 21:12:00 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gbirthday
component: gbirthday
executable: /usr/bin/gbirthday
kernel: 2.6.33.4-95.fc13.i686
package: gbirthday-0.6.4-1.fc13
reason: databases.py:124:add:AttributeError: 'NoneType' object has no attribute 'csv_files'
release: Fedora release 13 (Goddard)

backtrace
-----
databases.py:124:add:AttributeError: 'NoneType' object has no attribute 'csv_files'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gbirthday/status_icon.py", line 559, in finish_add
    db.add(name.get_text(), datetime.date(*calend))
  File "/usr/lib/python2.6/site-packages/gbirthday/databases.py", line 124, in add
    if len(self.conf.csv_files) == 0:
AttributeError: 'NoneType' object has no attribute 'csv_files'

Local variables in innermost frame:
self: <gbirthday.databases.CSV instance at 0x8a9918c>
birthday: '2010-06-23'
name: 'Mama'

How to reproduce
-----
1. tried to add a person
2. save as CSV-file

Comment 1 Marian-Nicolae ION 2010-05-31 21:12:02 UTC
Created attachment 418395 [details]
File: backtrace

Comment 2 Thomas Spura 2010-06-01 08:12:32 UTC
Thanks for the bug report.

In upstream git repository was a code cleanup, which fixed this bug. But when trying to reproduce this there, there was another (little) bug.

I'll fix that this week and let you test again.

Comment 3 Fedora Update System 2010-06-12 00:44:23 UTC
gbirthday-0.6.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gbirthday-0.6.5-1.fc12

Comment 4 Fedora Update System 2010-06-12 00:44:29 UTC
gbirthday-0.6.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gbirthday-0.6.5-1.fc13

Comment 5 Fedora Update System 2010-06-14 17:13:58 UTC
gbirthday-0.6.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gbirthday'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gbirthday-0.6.5-1.fc12

Comment 6 Fedora Update System 2010-06-14 17:27:09 UTC
gbirthday-0.6.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gbirthday'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gbirthday-0.6.5-1.fc13

Comment 7 Fedora Update System 2010-06-25 18:08:12 UTC
gbirthday-0.6.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-06-25 18:16:38 UTC
gbirthday-0.6.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 abdrahim_ 2010-12-14 02:59:34 UTC
It just happened again 12/13/2010 - gbirthday-0.6.5-2.fc14


Note You need to log in before you can comment on or make changes to this bug.